/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.PricingMarcaDAO;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.entidad.PricingMarca;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Rafius
 */
@Repository("pricingMarcaDAO")
public class PricingMarcaHibernateDAO extends GenericHibernateDAO<PricingMarca, Integer>
        implements PricingMarcaDAO {

    @Autowired
    public PricingMarcaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<PricingMarca> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Pricing.ATIVO));

        return c.list();
    }

    public Boolean obtenerPricingMarca(Pricing pricing, Marca marca) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Pricing.ATIVO));
        c.add(Restrictions.eq("pricing", pricing));
        c.add(Restrictions.eq("marca", marca));

        if (c.list().size() > 0) {
            return true;
        } else {
            return false;
        }
    }
}
